DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/llm/add

Add an LLM model

Add an LLM model

GET/llm-availablearrow_forward
upload
Request body
modelrequired
string
Model name
urlrequired
string
Model endpoint URL
taskrequired
array
Supported tasks
active
boolean
Whether model is active
chatbotId
string (uuid)
Optional chatbot to scope model to
double_arrow
Returns 201
message
string
report
Errors
StatusDescription
409Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//llm/add' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "model": "model",
  "url": "url",
  "task": [],
  "active": true,
  "chatbotId": "00000000-0000-0000-0000-000000000001"
}'
south_west
Response
201 OK
application/json
{
  "message": "message"
}